Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: [Opgelost] geen updates meer mogelijk  (gelezen 2495 keer)

Offline Anno

  • Lid
  • Steunpunt: Nee
[Opgelost] geen updates meer mogelijk
« Gepost op: 2012/11/09, 19:52:27 »
Ik kan geen updates of nieuwe programma's meer installeren. Ik heb verschillende vragen hierover met oplossingen gevolgd, maar voor mij bieden deze geen oplossing. Als ik iets installeer met het het software centrum blijft het software centrum hangen en er schijnt niets meer te gebeuren. Als ik een update probeer krijg ik een bericht dat ik een gedeeltelijke upgrade moet uitvoeren. Deze start op en loopt vervolgens ook vast. Daarbij verschijnt een foutrapportage, maar die kan ik niet kopiëren.( ik hem hem wel opgestuurd, maar daarmee wordt hij hier natuurlijk niet zichtbaar   :))
« Laatst bewerkt op: 2012/11/12, 15:46:11 door Anno »

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #1 Gepost op: 2012/11/09, 20:18:16 »
Open een Terminalvenster en typ:

cat /etc/apt/sources.list.d

En plaats de uitkomst hier :)

Offline Anno

  • Lid
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #2 Gepost op: 2012/11/09, 20:33:20 »
Ik denk niet dat ik krijg wat je bedoelt:

"anno@AnnoW-Ubuntu:~$ cat /etc/apt/sources.list.d
cat: /etc/apt/sources.list.d: Is een map
anno@AnnoW-Ubuntu:~$ "

Offline Bloom

  • Lid
  • Steunpunt: Ja
Re: geen updates meer mogelijk
« Reactie #3 Gepost op: 2012/11/09, 20:36:54 »
Open een terminalvenster en tik:
sudo apt-get -yf installDit is een tekstvenster, dus als er foutmeldingen verschijnen kun je de betrokken tekst gewoon kopiëren en plakken in je antwoord hier.

Offline Anno

  • Lid
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #4 Gepost op: 2012/11/09, 20:37:24 »
Als ik die map open zie ik 4 bestanden:
Twee met extensie .list en een met .save

Offline Bloom

  • Lid
  • Steunpunt: Ja
Re: geen updates meer mogelijk
« Reactie #5 Gepost op: 2012/11/09, 20:39:12 »
Het is onwaarschijnlijk dat er iets fout is met die bestanden. Ik denk eerder aan een afgebroken update of upgrade die de boel nu ophoudt. Met het bevel dat ik hoger gaf kunnen we dat controleren.

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #6 Gepost op: 2012/11/09, 20:39:36 »
Als ik die map open zie ik 4 bestanden:
Twee met extensie .list en een met .save

Dan heb je dus een pakketbron toegevoegd. Welke is dat? :)

Offline Anno

  • Lid
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #7 Gepost op: 2012/11/09, 20:40:57 »
Ik  krijg het volgende in de terminal:

Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
De volgende pakketten zijn automatisch geïnstalleerd en zijn niet langer nodig:
  language-pack-kde-nl-base typo3-dummy libphp-swiftmailer kde-l10n-nl
  mysql-server php5 language-pack-kde-zh-hans-base dbconfig-common
  libhtml-template-perl libjs-prototype mysql-server-core-5.5
  libjs-scriptaculous language-pack-kde-en typo3-database language-pack-kde-nl
  kde-l10n-engb language-pack-zh-hans-base typo3-src-4.5 php5-mysql
  kde-l10n-zhcn language-pack-zh-hans language-pack-kde-zh-hans libphp-adodb
  language-pack-kde-en-base mysql-server-5.5 graphicsmagick
U kunt deze verwijderen via 'apt-get autoremove'.
0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
1 pakketten niet volledig geïnstalleerd of verwijderd.
Door deze operatie zal er 0 B extra schijfruimte gebruikt worden.
Instellen van typo3-dummy (4.5.10+dfsg1-1) ...
dbconfig-common: writing config to /etc/dbconfig-common/typo3-dummy.conf
Replacing config file /etc/typo3-dummy/debian-db.php with new version
dbconfig-common: flushing administrative password
/var/lib/dpkg/info/typo3-dummy.postinst: 42: /var/lib/dpkg/info/typo3-dummy.postinst: a2ensite: not found
dpkg: fout bij afhandelen van typo3-dummy (--configure):
 subproces installed post-installation script gaf een foutwaarde 127 terug
Fouten gevonden tijdens behandelen van:
 typo3-dummy
E: Sub-process /usr/bin/dpkg returned an error code (1)

Offline Anno

  • Lid
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #8 Gepost op: 2012/11/09, 20:43:55 »
Ik denk dat onze reacties elkaar kruisen.

Kan ik ergens terug vinden welke pakketbron ik zou hebben toegevoegd: ik wordtel al een paar weken met dat updateprobleem, dus ik weet niet precies wat ik allemaal al heb gedaan.

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #9 Gepost op: 2012/11/09, 20:46:26 »
Ik denk dat onze reacties elkaar kruisen.

Kan ik ergens terug vinden welke pakketbron ik zou hebben toegevoegd: ik wordtel al een paar weken met dat updateprobleem, dus ik weet niet precies wat ik allemaal al heb gedaan.

Nuja, als je even post hoe die bestandjes in eerder genoemde map heten (dus naamvanbestand.list en naamvanbestand.list.save) dan kunnen we er zo achter komen :)

Offline Anno

  • Lid
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #10 Gepost op: 2012/11/09, 20:51:00 »
Dat zijn:
precise-partner.list
ubuntu-defaults.list
ubuntu-defaults.list.save
vincent-c-nevernote-precise.list

Offline Anno

  • Lid
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #11 Gepost op: 2012/11/10, 12:27:16 »
Hoe moet ik hier nu verder mee?

Offline Anno

  • Lid
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #12 Gepost op: 2012/11/10, 12:48:24 »
Volgens mij gaat het om Nixnote, een linux variant van evernote. Kan ik die ppa niet weer verwijderen? Het lijkt mij dat dat het probleem op zou lossen.

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #13 Gepost op: 2012/11/10, 12:52:22 »
Ja. Via Softwarecentrum --> Bewerken --> Softwarebronnen --> Software van derden kun je de PPA verwijderen :)

Offline Anno

  • Lid
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #14 Gepost op: 2012/11/10, 13:13:10 »
Ik heb de ppa verwijderd. Hoe weet ik nu of het weer werkt? Gewoon afwachten? Als ik bij "software bijgewerkt"kijk, staat dat er4 geen updates zijn.

Offline Bloom

  • Lid
  • Steunpunt: Ja
Re: geen updates meer mogelijk
« Reactie #15 Gepost op: 2012/11/10, 13:18:01 »
Probeer nu opnieuw in een terminal het volgende:
sudo apt-get update
sudo apt-get -yf install
sudo apt-get -y dist-upgrade
en dan zou het nu in orde moeten komen.

Offline Anno

  • Lid
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #16 Gepost op: 2012/11/10, 13:31:35 »
Ik heb de drie codes in de terminal uitgevoerd. Na de tweede kwam er een foutmelding, waarin iets over "typo3-dummy" wordt gemeld. Ik voeg hier de inhoud van het terminalvenster toe:


anno@AnnoW-Ubuntu:~$ sudo apt-get update
[sudo] password for anno:
Genegeerd http://security.ubuntu.com precise-security InRelease
Genegeerd http://archive.canonical.com precise InRelease 
Genegeerd http://nl.archive.ubuntu.com precise InRelease   
Genegeerd http://nl.archive.ubuntu.com precise-updates InRelease
Genegeerd http://nl.archive.ubuntu.com precise-backports InRelease
Ophalen:1 http://security.ubuntu.com precise-security Release.gpg [198 B]
Geraakt http://archive.canonical.com precise Release.gpg                       
Geraakt http://nl.archive.ubuntu.com precise Release.gpg   
Ophalen:2 http://nl.archive.ubuntu.com precise-updates Release.gpg [198 B]
Ophalen:3 http://security.ubuntu.com precise-security Release [49,6 kB]       
Geraakt http://archive.canonical.com precise Release                           
Geraakt http://nl.archive.ubuntu.com precise-backports Release.gpg             
Geraakt http://nl.archive.ubuntu.com precise Release             
Ophalen:4 http://nl.archive.ubuntu.com precise-updates Release [49,6 kB]
Geraakt http://nl.archive.ubuntu.com precise-backports Release                 
Geraakt http://archive.canonical.com precise/partner amd64 Packages           
Geraakt http://nl.archive.ubuntu.com precise/main Sources                     
Geraakt http://archive.canonical.com precise/partner i386 Packages             
Genegeerd http://archive.canonical.com precise/partner TranslationIndex       
Ophalen:5 http://security.ubuntu.com precise-security/main Sources [54,1 kB]   
Geraakt http://nl.archive.ubuntu.com precise/restricted Sources               
Geraakt http://nl.archive.ubuntu.com precise/universe Sources                 
Geraakt http://nl.archive.ubuntu.com precise/multiverse Sources               
Geraakt http://nl.archive.ubuntu.com precise/main amd64 Packages               
Geraakt http://nl.archive.ubuntu.com precise/restricted amd64 Packages         
Geraakt http://nl.archive.ubuntu.com precise/universe amd64 Packages           
Geraakt http://nl.archive.ubuntu.com precise/multiverse amd64 Packages         
Geraakt http://nl.archive.ubuntu.com precise/main i386 Packages               
Geraakt http://nl.archive.ubuntu.com precise/restricted i386 Packages
Geraakt http://nl.archive.ubuntu.com precise/universe i386 Packages
Geraakt http://nl.archive.ubuntu.com precise/multiverse i386 Packages
Geraakt http://nl.archive.ubuntu.com precise/main TranslationIndex
Geraakt http://nl.archive.ubuntu.com precise/multiverse TranslationIndex
Geraakt http://nl.archive.ubuntu.com precise/restricted TranslationIndex
Geraakt http://nl.archive.ubuntu.com precise/universe TranslationIndex
Ophalen:6 http://nl.archive.ubuntu.com precise-updates/main Sources [187 kB]
Ophalen:7 http://security.ubuntu.com precise-security/restricted Sources [1950 B]
Ophalen:8 http://security.ubuntu.com precise-security/universe Sources [15,8 kB]
Ophalen:9 http://security.ubuntu.com precise-security/multiverse Sources [1392 B]
Ophalen:10 http://security.ubuntu.com precise-security/main amd64 Packages [195 kB]
Ophalen:11 http://nl.archive.ubuntu.com precise-updates/restricted Sources [4419 B]
Ophalen:12 http://nl.archive.ubuntu.com precise-updates/universe Sources [61,1 kB]
Ophalen:13 http://nl.archive.ubuntu.com precise-updates/multiverse Sources [4241 B]
Ophalen:14 http://nl.archive.ubuntu.com precise-updates/main amd64 Packages [424 kB]
Ophalen:15 http://security.ubuntu.com precise-security/restricted amd64 Packages [3969 B]
Ophalen:16 http://security.ubuntu.com precise-security/universe amd64 Packages [54,3 kB]
Genegeerd http://archive.canonical.com precise/partner Translation-nl_NL       
Genegeerd http://archive.canonical.com precise/partner Translation-nl         
Genegeerd http://archive.canonical.com precise/partner Translation-en         
Ophalen:17 http://security.ubuntu.com precise-security/multiverse amd64 Packages [2189 B]
Ophalen:18 http://security.ubuntu.com precise-security/main i386 Packages [200 kB]
Ophalen:19 http://security.ubuntu.com precise-security/restricted i386 Packages [3968 B]
Ophalen:20 http://security.ubuntu.com precise-security/universe i386 Packages [54,4 kB]
Ophalen:21 http://security.ubuntu.com precise-security/multiverse i386 Packages [2388 B]
Geraakt http://security.ubuntu.com precise-security/main TranslationIndex     
Geraakt http://security.ubuntu.com precise-security/multiverse TranslationIndex
Geraakt http://security.ubuntu.com precise-security/restricted TranslationIndex
Geraakt http://security.ubuntu.com precise-security/universe TranslationIndex 
Geraakt http://security.ubuntu.com precise-security/main Translation-en       
Geraakt http://security.ubuntu.com precise-security/multiverse Translation-en 
Geraakt http://security.ubuntu.com precise-security/restricted Translation-en 
Geraakt http://security.ubuntu.com precise-security/universe Translation-en   
Ophalen:22 http://nl.archive.ubuntu.com precise-updates/restricted amd64 Packages [8366 B]
Ophalen:23 http://nl.archive.ubuntu.com precise-updates/universe amd64 Packages [152 kB]
Ophalen:24 http://nl.archive.ubuntu.com precise-updates/multiverse amd64 Packages [8677 B]
Ophalen:25 http://nl.archive.ubuntu.com precise-updates/main i386 Packages [432 kB]
Ophalen:26 http://nl.archive.ubuntu.com precise-updates/restricted i386 Packages [8374 B]
Ophalen:27 http://nl.archive.ubuntu.com precise-updates/universe i386 Packages [152 kB]
Ophalen:28 http://nl.archive.ubuntu.com precise-updates/multiverse i386 Packages [9661 B]
Geraakt http://nl.archive.ubuntu.com precise-updates/main TranslationIndex
Geraakt http://nl.archive.ubuntu.com precise-updates/multiverse TranslationIndex
Geraakt http://nl.archive.ubuntu.com precise-updates/restricted TranslationIndex
Geraakt http://nl.archive.ubuntu.com precise-updates/universe TranslationIndex
Geraakt http://nl.archive.ubuntu.com precise-backports/main Sources
Geraakt http://nl.archive.ubuntu.com precise-backports/restricted Sources
Geraakt http://nl.archive.ubuntu.com precise-backports/universe Sources
Geraakt http://nl.archive.ubuntu.com precise-backports/multiverse Sources
Geraakt http://nl.archive.ubuntu.com precise-backports/main amd64 Packages
Geraakt http://nl.archive.ubuntu.com precise-backports/restricted amd64 Packages
Geraakt http://nl.archive.ubuntu.com precise-backports/universe amd64 Packages
Geraakt http://nl.archive.ubuntu.com precise-backports/multiverse amd64 Packages
Geraakt http://nl.archive.ubuntu.com precise-backports/main i386 Packages
Geraakt http://nl.archive.ubuntu.com precise-backports/restricted i386 Packages
Geraakt http://nl.archive.ubuntu.com precise-backports/universe i386 Packages
Geraakt http://nl.archive.ubuntu.com precise-backports/multiverse i386 Packages
Geraakt http://nl.archive.ubuntu.com precise-backports/main TranslationIndex
Geraakt http://nl.archive.ubuntu.com precise-backports/multiverse TranslationIndex
Geraakt http://nl.archive.ubuntu.com precise-backports/restricted TranslationIndex
Geraakt http://nl.archive.ubuntu.com precise-backports/universe TranslationIndex
Geraakt http://nl.archive.ubuntu.com precise/main Translation-nl
Geraakt http://nl.archive.ubuntu.com precise/main Translation-en
Geraakt http://nl.archive.ubuntu.com precise/multiverse Translation-nl
Geraakt http://nl.archive.ubuntu.com precise/multiverse Translation-en
Geraakt http://nl.archive.ubuntu.com precise/restricted Translation-nl
Geraakt http://nl.archive.ubuntu.com precise/restricted Translation-en
Geraakt http://nl.archive.ubuntu.com precise/universe Translation-nl
Geraakt http://nl.archive.ubuntu.com precise/universe Translation-en
Geraakt http://nl.archive.ubuntu.com precise-updates/main Translation-nl
Geraakt http://nl.archive.ubuntu.com precise-updates/main Translation-en
Geraakt http://nl.archive.ubuntu.com precise-updates/multiverse Translation-nl
Geraakt http://nl.archive.ubuntu.com precise-updates/multiverse Translation-en
Geraakt http://nl.archive.ubuntu.com precise-updates/restricted Translation-nl
Geraakt http://nl.archive.ubuntu.com precise-updates/restricted Translation-en
Geraakt http://nl.archive.ubuntu.com precise-updates/universe Translation-nl
Geraakt http://nl.archive.ubuntu.com precise-updates/universe Translation-en
Geraakt http://nl.archive.ubuntu.com precise-backports/main Translation-en
Geraakt http://nl.archive.ubuntu.com precise-backports/multiverse Translation-en
Geraakt http://nl.archive.ubuntu.com precise-backports/restricted Translation-en
Geraakt http://nl.archive.ubuntu.com precise-backports/universe Translation-en
2141 kB opgehaald in 3s (548 kB/s)
Pakketlijsten worden ingelezen... Klaar
anno@AnnoW-Ubuntu:~$ sudo apt-get -yf install
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
De volgende pakketten zijn automatisch geïnstalleerd en zijn niet langer nodig:
  language-pack-kde-nl-base typo3-dummy libphp-swiftmailer kde-l10n-nl
  mysql-server php5 language-pack-kde-zh-hans-base dbconfig-common
  libhtml-template-perl libjs-prototype mysql-server-core-5.5
  libjs-scriptaculous language-pack-kde-en typo3-database language-pack-kde-nl
  kde-l10n-engb language-pack-zh-hans-base typo3-src-4.5 php5-mysql
  kde-l10n-zhcn language-pack-zh-hans language-pack-kde-zh-hans libphp-adodb
  language-pack-kde-en-base mysql-server-5.5 graphicsmagick
U kunt deze verwijderen via 'apt-get autoremove'.
0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
1 pakketten niet volledig geïnstalleerd of verwijderd.
Door deze operatie zal er 0 B extra schijfruimte gebruikt worden.
Instellen van typo3-dummy (4.5.10+dfsg1-1) ...
dbconfig-common: writing config to /etc/dbconfig-common/typo3-dummy.conf
Replacing config file /etc/typo3-dummy/debian-db.php with new version
dbconfig-common: flushing administrative password
/var/lib/dpkg/info/typo3-dummy.postinst: 42: /var/lib/dpkg/info/typo3-dummy.postinst: a2ensite: not found
dpkg: fout bij afhandelen van typo3-dummy (--configure):
 subproces installed post-installation script gaf een foutwaarde 127 terug
Fouten gevonden tijdens behandelen van:
 typo3-dummy
E: Sub-process /usr/bin/dpkg returned an error code (1)
anno@AnnoW-Ubuntu:~$ sudo apt-get -y dist-upgrade
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Opwaardering wordt doorgerekend... Klaar
0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
1 pakketten niet volledig geïnstalleerd of verwijderd.
Door deze operatie zal er 0 B extra schijfruimte gebruikt worden.
Instellen van typo3-dummy (4.5.10+dfsg1-1) ...
dbconfig-common: writing config to /etc/dbconfig-common/typo3-dummy.conf
Replacing config file /etc/typo3-dummy/debian-db.php with new version
dbconfig-common: flushing administrative password
/var/lib/dpkg/info/typo3-dummy.postinst: 42: /var/lib/dpkg/info/typo3-dummy.postinst: a2ensite: not found
dpkg: fout bij afhandelen van typo3-dummy (--configure):
 subproces installed post-installation script gaf een foutwaarde 127 terug
Fouten gevonden tijdens behandelen van:
 typo3-dummy
E: Sub-process /usr/bin/dpkg returned an error code (1)
anno@AnnoW-Ubuntu:~$

[edit: code tags]
« Laatst bewerkt op: 2012/11/10, 14:12:32 door Johan van Dijk »

Offline Anno

  • Lid
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #17 Gepost op: 2012/11/10, 13:50:28 »
Ik heb in software centrum gezocht naar Typo3-dummy. Het is een webcontent management system. Ik heb het geprobeerd te verwijderen, maar dat gaat ook niet. Ik kreeg de volgende foutmelding:

321136 files and directories currently installed.)
Removing typo3-dummy ...
/var/lib/dpkg/info/typo3-dummy.postrm: 33: /var/lib/dpkg/info/typo3-dummy.postrm: a2dissite: not found
dpkg: error processing typo3-dummy (--remove):
 subprocess installed post-removal script returned error exit status 127
Processing triggers for ureadahead ...
Errors were encountered while processing:
 typo3-dummy
Error in function:

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #18 Gepost op: 2012/11/10, 13:58:01 »
Probeer eens:

sudo dpkg -r typo3-dummy

en dan weer de update-procedure via sudo apt-get. Helpt dat? :)

Offline Anno

  • Lid
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #19 Gepost op: 2012/11/10, 14:06:53 »
Ik denk niet dat dat lukt, want in de terminal krijg ik:

anno@AnnoW-Ubuntu:~$ sudo dpkg -r typo3-dummy
[sudo] password for anno:
(Database inlezen ... 321136 files and directories currently installed.)
typo3-dummy wordt verwijderd ...
/var/lib/dpkg/info/typo3-dummy.postrm: 33: /var/lib/dpkg/info/typo3-dummy.postrm: a2dissite: not found
dpkg: fout bij afhandelen van typo3-dummy (--remove):
 subproces installed post-removal script gaf een foutwaarde 127 terug
Processing triggers for ureadahead ...
Fouten gevonden tijdens behandelen van:
 typo3-dummy
anno@AnnoW-Ubuntu:~$

Offline Bloom

  • Lid
  • Steunpunt: Ja
Re: geen updates meer mogelijk
« Reactie #20 Gepost op: 2012/11/10, 14:18:30 »
a2ensite en a2dissite zijn onderdelen van Apache. Probeer eens of het lukt als je het spul zijn zin geeft:
sudo apt-get install apache2
sudo apt-get purge typo3-dummy

Als dit zonder fouten lukt, kun je apache2 weer verwijderen:
sudo apt-get purge apache2
sudo apt-get -yf install
sudo apt-get autoremove
sudo apt-get -y dist-upgrade

Mochten er bij verwijderen van typo3-dummy toch opnieuw fouten optreden, probeer dan nogmaals
sudo dpkg -r typo3-dummyen als dat zonder fouten lukt, het verwijderen van apache2 en de drie instucties daaronder.

Offline Anno

  • Lid
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #21 Gepost op: 2012/11/10, 14:30:31 »
Geen van de mogelijkheden lukt. Steeds zit die typo3 in de weg:

"Fouten gevonden tijdens behandelen van:
 typo3-dummy"

Offline Bloom

  • Lid
  • Steunpunt: Ja
Re: geen updates meer mogelijk
« Reactie #22 Gepost op: 2012/11/10, 14:59:10 »
Ja, dat is logisch. Maar slaagt hij er wel in apache2 te installeren? Dat zou hij moeten doen ook al zijn er klachten over typo3-dummy.
Eenmaal dat Apache2 geïnstalleerd is, heeft de deïnstallatie van typo3-dummy a2dissite ter beschikking (waarover het voorheen telkens spaak liep) en zou alles opgelost kunnen raken.

Offline Anno

  • Lid
  • Steunpunt: Nee
Re: geen updates meer mogelijk
« Reactie #23 Gepost op: 2012/11/10, 15:12:26 »
Nee, daar was ik mee begonnen, maar dan zit diezelfde typo3 blijkbaar nog in de weg:

"Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
De volgende extra pakketten zullen geïnstalleerd worden:
  apache2-mpm-worker apache2-utils apache2.2-common
Voorgestelde pakketten:
  apache2-doc apache2-suexec apache2-suexec-custom
De volgende pakketten zullen VERWIJDERD worden:
  typo3-dummy
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  apache2 apache2-mpm-worker apache2-utils apache2.2-common
0 pakketten opgewaardeerd, 4 pakketten nieuw geïnstalleerd, 1 te verwijderen en 0 niet opgewaardeerd.
1 pakketten niet volledig geïnstalleerd of verwijderd.
Er moeten 0 B/320 kB aan archieven opgehaald worden.
Door deze operatie zal er 812 kB extra schijfruimte gebruikt worden.
Wilt u doorgaan [J/n]? J
(Database inlezen ... 321136 files and directories currently installed.)
typo3-dummy wordt verwijderd ...
/var/lib/dpkg/info/typo3-dummy.postrm: 33: /var/lib/dpkg/info/typo3-dummy.postrm: a2dissite: not found
dpkg: fout bij afhandelen van typo3-dummy (--remove):
 subproces installed post-removal script gaf een foutwaarde 127 terug
Er is geen apport-verslag weggeschreven omdat het maximum aantal verslagen (MaxReports) al is bereikt
                     Processing triggers for ureadahead ...
Fouten gevonden tijdens behandelen van:
 typo3-dummy
E: Sub-process /usr/bin/dpkg returned an error code (1)

Offline Bloom

  • Lid
  • Steunpunt: Ja
Re: geen updates meer mogelijk
« Reactie #24 Gepost op: 2012/11/10, 16:22:48 »
Er zit kennelijk een fout in het pakket van typo3-dummy: apache2-common wordt niet opgegeven als een vereiste, terwijl de installatie- en deïnstallatieprocedure wel a2ensite en a2dissite nodig heeft die in apache2-common zitten. Daardoor loopt de hele zaak in het honderd. Je kunt wel manueel alle onderdelen van typo3-dummy gaan opsporen en een voor een verwijderen, maar dan moet je al exact weten wat je doet en het kan wel even duren voordat je alles weer in orde hebt.
De vlugste methode is hier je homedirectory back-uppen (voor zover nodig) en dan herinstalleren.

Daarna: typo3 mijden als de pest. Er zitten duidelijk fouten in de pakketconfiguratie en die zijn zowel in Ubuntu als Debian als RedHat/Fedora/CentOS aanwezig. Ofwel zorgen dat apache2-common éérst geïnstalleerd is en pas verwijderd wordt nà typo3.